File: gpr.spec

package info (click to toggle)
gpr 0.12deb1
  • links: PTS
  • area: main
  • in suites: etch, etch-m68k
  • size: 1,568 kB
  • ctags: 250
  • sloc: sh: 6,138; ansic: 3,684; makefile: 86; sed: 16
file content (71 lines) | stat: -rw-r--r-- 1,624 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
%define name        gpr
%define version     0.10
%define rel         1
%define prefix      /usr
%define pixmapsdir  @PACKAGE_PIXMAPS_DIR@
%define scriptsdir  @PACKAGE_SCRIPTS_DIR@

Name: %{name}
Version: %{version}
Release: %{rel}
Summary: GUI to configure printer-specific options for PostScript print jobs.
License: GPL
Group: Applications/Productivity
Requires: libppd ppdfilt

Source0: %{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-root

%description
GPr is a graphical interface that provides for easy configuration of
printer-specific options. GPr interfaces with a PostScript printer's
PPD file to create a user-interface of configurable options. Based
upon user choice, the device-specific option code is then inserted
into the PostScript job and sent to the printer.

%prep
%setup

%build
./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR="$RPM_BUILD_ROOT" install

find "$RPM_BUILD_ROOT" -type f -print \
  | sed -e "s@^${RPM_BUILD_ROOT}@@" > rpm.filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f rpm.filelist

%changelog
* Thu Nov 16 2000 Tom Dyas <tdyas@valinux.com>
- Make the spec more portable by using RPM macros.

* Fri Jun 16 2000 Thomas Hubbell <thubbell@compumetric.com>
- Updated version number for major Netscape bug-fix build

* Tue Jun 06 2000 Thomas Hubbell <thubbell@compumetric.com>
- Built with support for lpr -o options
- Incorporates latest bug fixes

* Mon Jun 05 2000 Ben Woodard <ben@valinux.com>
- Added a couple of dependencies
- Built against libppd 0.4